# Server Integration

## Standalone Server:

Astro läuft bisher auf einem Dev Server. Um Astro zu deployen, wird ein Adapter benötigt. Dies kann zum Beispiel Node sein. 

Installation des Adapters: 

npm install @astrojs/node --save

// Da Server nun von Node ausgeht, muss cors installiert werden. 
npm i cors --save


Der Adapter wird in astro.config.mjs angegeben. 

  adapter: node({
    mode: 'middleware'
  }),
  output: "server",

Die Seite wird nun gebaut und optimiert mit: 

npm run build

Der Build wird im Ordner ./dist angelegt. 

Der Server kann nun gestartet werden: 

node ./dist/server/entry.mjs

https://docs.astro.build/de/guides/integrations-guide/node/
https://docs.astro.build/en/guides/deploy/#building-your-site-locally