import sqlite from 'better-sqlite3';
import path from 'path';
import { v4 as uuidv4 } from 'uuid';
import { writeFile } from 'fs/promises';

const dbPath = path.resolve("./src/db/", 'rental.db');
const imgPath = path.resolve("./public/img/");

export async function post({ request }) {
    console.log("POST")
    const formData = await request.formData();
    console.log(formData);
    await Promise.all(
        formData
          .getAll('image')
          .map(async (file: File) => {
            console.log("file")
            console.log(file)
            console.log("path.resolve(imgPath, file.name)")
            console.log(path.resolve(imgPath, file.name))
            writeFile(
                path.resolve(imgPath, file.name),
                new Uint8Array(await file.arrayBuffer())
            ) 
          })
      );

    return {
        body: JSON.stringify({
            success: "ok",
            errorMessage: "Image saved"
        })
      };
  }