import type { APIRoute } from 'astro';
import sqlite from 'better-sqlite3';
import path from 'path';

// sehr einfach gehaltene "Migration"
// Die Datenbank kann so händisch erweitert werden
// In Productive Systemen ist ein Migration Tool zu empfehlen 
// hier nur zur Demo. 
const dbPath = path.resolve("./src/db/", 'rental.db');

const initPerson = () => {
  let db = new sqlite(dbPath , sqlite.OPEN_READWRITE, (err) => {
    if (err) {
        console.error(err.message);
    }
    verbose: console.log
  });
  db.exec("CREATE TABLE IF NOT EXISTS Persons ('id' TEXT, 'prename' TEXT, 'surname' TEXT, 'city' TEXT, 'age' INT, 'img' TEXT, 'timestamp' TEXT)");
  db.close();
}

const initCar = () => {
  let db = new sqlite(dbPath , sqlite.OPEN_READWRITE, (err) => {
    if (err) {
        console.error(err.message);
    }
    verbose: console.log
  });
  db.exec("CREATE TABLE IF NOT EXISTS Cars ('id' TEXT, 'name' TEXT, 'license' TEXT, 'img' TEXT, 'imgName' TEXT, 'timestamp' INT)");
  db.close();
}

const initRental = () => {
  let db = new sqlite(dbPath , sqlite.OPEN_READWRITE, (err) => {
    if (err) {
        console.error(err.message);
    }
    verbose: console.log
  });
  db.exec("CREATE TABLE IF NOT EXISTS Rentals ('id' TEXT, 'carId' TEXT, 'personId' TEXT, 'start' TEXT, 'end' TEXT, 'return' INT)");
  db.close();
}


export async function get() {
  // initPerson(); 
  // initCar(); 
  // initRental(); 
  return {
    body: JSON.stringify(
      {
        success: "ok",
        errorMessage: "" 
      })
  };
}
  
